Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.builder.conf
Class KBuilderSeverityOption

    java.lang.Object
      org.drools.builder.conf.KBuilderSeverityOption

All Implemented Interfaces:
  Serializable, KnowledgeBuilderOption, MultiValueKnowledgeBuilderOption, Option

    public class KBuilderSeverityOption

extends Object
implements MultiValueKnowledgeBuilderOption

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME`

Method Summary
`boolean` | `equals(Object obj)`
`static KBuilderSeverityOption` | `get(String key, ResultSeverity severity)`
`static KBuilderSeverityOption` | `get(String key, String severityString)`
`String` | `getName()`
`String` | `getPropertyName()` Returns the property name for this option
`ResultSeverity` | `getSeverity()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static String PROPERTY_NAME

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getPropertyName

    public String getPropertyName()

  Description copied from interface: `Option`
  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### get

    public static KBuilderSeverityOption get(String key,
                                             ResultSeverity severity)

### get

    public static KBuilderSeverityOption get(String key,
                                             String severityString)

### getName

    public String getName()

### getSeverity

    public ResultSeverity getSeverity()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.